net.dontdrinkandroot.visualization.item

## Class AligningFontItem

- java.lang.Object
- - net.dontdrinkandroot.visualization.item.AbstractVisualItem
  - - net.dontdrinkandroot.visualization.item.AbstractColoredItem
    - - net.dontdrinkandroot.visualization.item.AligningFontItem

All Implemented Interfaces:
  ColoredItem, Rotatable, VisualItem

    public class AligningFontItem
    extends AbstractColoredItem
    implements Rotatable

### Field Summary

### Fields inherited from class net.dontdrinkandroot.visualization.item.AbstractColoredItem

`bbColor, bgColor, fgColor`

### Fields inherited from class net.dontdrinkandroot.visualization.item.AbstractVisualItem

`anchor, bounds`

### Constructor Summary

Constructors
Constructor and Description
`AligningFontItem(Font font, String text, Color color)`
`AligningFontItem(Font font, String text, Color color, double padding)`

### Method Summary

Methods
`void` `draw(Graphics2D g2d)`
`Font` `getFont()`
`String` `getText()`
`void` `rotate(double radianAngle)`
`String` `toString()`
`protected Rectangle2D` `updateBounds()`

### Methods inherited from class net.dontdrinkandroot.visualization.item.AbstractColoredItem

`getBbColor, getBgColor, getFgColor, setBbColor, setBgColor, setFgColor`

### Methods inherited from class net.dontdrinkandroot.visualization.item.AbstractVisualItem

`getBounds, getPosition, setPosition, setPosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AligningFontItem

    public AligningFontItem(Font font,
                    String text,
                    Color color)

#### AligningFontItem

    public AligningFontItem(Font font,
                    String text,
                    Color color,
                    double padding)

### Method Detail

#### getFont

    public Font getFont()

#### getText

    public String getText()

#### draw

    public void draw(Graphics2D g2d)

Specified by:
  `draw` in interface `VisualItem`
Specified by:
  `draw` in class `AbstractVisualItem`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### rotate

    public void rotate(double radianAngle)

Specified by:
  `rotate` in interface `Rotatable`

#### updateBounds

    protected Rectangle2D updateBounds()

Specified by:
  `updateBounds` in class `AbstractVisualItem`